# Generated from sparse_matrix-1.6.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sparse_matrix

Name: rubygem-%{gem_name}
Version: 1.6.0
Release: 1%{?dist}
Summary: sparse matrix
License: MIT
URL: https://github.com/kevinrobayna/SparseMatrix
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(guard)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(guard-bundler)
# BuildRequires: rubygem(guard-gitpusher)
BuildArch: noarch

%description
Build a sparse matrix from dense matrix.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%doc %{gem_instdir}/documentacion
%{gem_instdir}/sparse_matrix.gemspec
%{gem_instdir}/spec

%changelog
* Wed Sep 15 2021 mockbuilder - 1.6.0-1
- Initial package
